<?php
/**
* HTMLリストオブジェクトクラス
*
* PHP version 5
*
* @package    core
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class charcoal_HTMLListObject extends charcoal_HTMLContainerObject
{
	/*
	 *	コンストラクタ
	 */
	public function __construct( $attributes = NULL )
	{
		parent::__construct( s('ul'), $attributes );
	}

	/*
	 *	子要素タグ出力
	 */
	public function childTags()
	{
		$html = '<li>' . PHP_EOL;
		$children = $this->_children;
		foreach( $children as $c ){
			$html .= $c->toHTML() . PHP_EOL;
		}
		$html .= '</li>';
		return $html;
	}

}
